Foreman - Refactor #23765

User safer becrypt hash function for internal passwords instead of shal
06/01/2018 07:18 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Authentication

Target version:

Difficulty: trivial Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: 1814595 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5633
Description

And make salt cost generation value configurable for higher security systems.

Related issues:
Related to Katello - Bug #26682: Seed tests failure because of bcrypt Closed

Associated revisions

Revision b58d736e - 04/28/2019 01:12 PM - Lukas Zapletal
Fixes #23765 - becrypt hash password instead sha1

History

#1 - 06/01/2018 07:47 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5633 added

#2 - 04/25/2019 08:46 AM - Lukas Zapletal
- Related to Bug #26682: Seed tests failure because of berypt added

#3 - 04/28/2019 01:13 PM - Anonymous
- Fixed in Releases 1.23.0 added

#4 - 04/28/2019 02:01 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset b58d736e55¢c3b6069dfb0b3d5c88140a70578f7d.

#5 - 08/05/2019 01:12 PM - Tomer Brisker

- Subject changed from User safer berypt hash fuction for internal passwords instead of sha1 to User safer bcrypt hash function for internal passwords
instead of shat

#6 - 03/18/2020 10:51 AM - Lukas Zapletal
- Triaged changed from No to Yes

- Bugzilla link set to 1814595

05/20/2024 1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b58d736e55c3b6069dfb0b3d5c88140a70578f7d
http://www.tcpdf.org

